<%- include('partials/header.ejs',{title: 'Electronics List'}) %>

    <div class="container pb-5">
        <div class="mt-5 ">
            <h3 class="float-left mb-3">Electronics List</h3>
            <a href=" /add " class="btn btn=sm btn-success float-right ">Add Electronic</a>
        </div>
        <table class="table">
            <thead class="thead-light ">
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">Name</th>
                    <th scope="col">Image</th>
                    <th scope="col">Brand</th>
                    <th scope="col">Type</th>
                    <th scope="col">Action</th>
                </tr>
            </thead>
            <tbody>

                <% electronics.forEach(electronic=>{ %>
                    <tr>
                        <td>
                            <%= electronic.id %>
                        </td>
                        <td>
                            <%= electronic.name %>
                        </td>
                        <td>
                            <img src="<%= electronic.image %>" alt="">
                        </td>
                        <td>
                            <%= electronic.Brand.name %>
                        </td>
                        <td>
                            <%= electronic.Type.name %>
                        </td>
                        <td>
                            <a href="/edit/<%= electronic.id %>" class="btn btn-sm btn-warning">Edit</a>
                            <a href="/delete/<%= electronic.id %>" class="btn btn-sm btn-danger">Delete</a>
                        </td>
                    </tr>
                    <% }) %>
            </tbody>
        </table>
    </div>


    <%- include('partials/footer.ejs') %>